package br.usp.ime.prolog.editor;

import org.eclipse.jface.text.rules.IWordDetector;

/**
 * Rules for detecting Prolog operators.
 */
public class PrologOperatorDetector implements IWordDetector {

	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordPart(char c) {
		return (c == '.' || c == ':' || c == '-' || c == '<' || c == '>' || c == ';' || c == '?' || c == '=' || c == '@' || c == '#' || c == '!' || c == '\\' || c == '+' || c == '*' );
	}
	
	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordStart(char c) {
		return (c == '/' || c == '^' || c == ':' || c == '-' || c == '<' || c == '>' || c == ';' || c == '?' || c == '=' || c == '@' || c == '#' || c == '!' || c == '\\' || c == '+' || c == '*');
	}
}
