package br.usp.ime.prolog.editor;

import org.eclipse.jface.text.rules.IWordDetector;

/**
 * Rules for detecting prolog variables.
 */
public class PrologVarDetector implements IWordDetector {

	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordPart(char c) {
		return Character.isJavaIdentifierPart(c);
	}
	
	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordStart(char c) {
		boolean teste;		
		return (Character.isUpperCase(c) || c == '_');
	}
}

